﻿/* Font Gilroy only for HYBE */

@font-face {
    font-family: 'Gilroy';
    src: url('fonts/Gilroy/Gilroy-Regular.eot');
    src: url('fonts/Gilroy/Gilroy-Regular.eot?#iefix') format('embedded-opentype'), url('fonts/Gilroy/Gilroy-Regular.woff') format('woff'), url('fonts/Gilroy/Gilroy-Regular.ttf') format('truetype');
}

html, body {
    width: 100%;
    height: 100%;
}

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    overflow: hidden;
    background: #F5F5F5;
    font-family: "Segoe UI", sans-serif;
}

.content .validation-container {
    display: none;
}

.content .logo {
    height: 100%;
}

.content .logo-link {
    display: block;
    width: 206px;
    margin: 140px auto 68px;
    height: 35px;
}

.content .reg-title {
    font-size: 36px;
    font-weight: 300;
    text-align: center;
    color: #131b25;
}

.content .row {
    width: 400px;
    margin: 50px auto 0;
    height: 42px;
}

.content .field {
    position: relative;
}

    .content .field label {
        color: #131B25;
        line-height: 42px;
        font-size: 18px;
        font-weight: 300;
    }

    .content .field input {
        float: right;
        border: 1px solid #C5CCCD;
        border-radius: 3px;
        width: 275px;
        height: 42px;
        font-size: 14px;
        padding-left: 10px;
        box-sizing: border-box;
        font-family: "Segoe UI", sans-serif;
        color: #55606E;
        background-color: #E9E9E9;
        outline: none;
    }

        .content .field input:focus {
            border-color: #0096FF;
        }

        .content .field input.warning {
            border-color: #E74C3D;
        }

    .content .field div.warning {
        display: none;
        position: absolute;
        top: 0px;
        left: 100%;
        margin-left: 20px;
        color: #E74C3D;
        font-size: 12px;
        width: 200px;
        margin-top: 10px;
        font-weight: 400;
    }

.content .button {
    display: inline-block;
    width: 100%;
    max-width: 186px;
    height: 42px;
    line-height: 42px;
    color: #fff;
    text-transform: uppercase;
    font-weight: 600;
    font-size: 13px;
    text-align: center;
    border-radius: 3px;
    cursor: pointer;
    background-color: #38bc9c;
    border: none;
    font-family: "Segoe UI", sans-serif;
    outline: none;
    margin-left: 124px;
}

.content a {
    color: #3597DB;
    text-decoration: none;
    outline: none;
}

.content .forget-pass {
    line-height: 42px;
    float: right;
}

.header {
    position: fixed;
    width: 100%;
    height: 64px;
    z-index: 1000;
    color: rgba(0, 0, 0, 0.87);
    background-color: rgb(255, 255, 255);
    box-sizing: border-box;
    box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 6px, rgba(0, 0, 0, 0.12) 0px 1px 4px;
    padding: 0 15px;
    font-size: 0;
    display: flex;
    justify-content: space-between;
}

    .header .logo {
        overflow: hidden;
        height: 100%;
        display: inline-block;
        align-items: center;
        margin-right: 24px;
    }

        .header .logo > div {
            width: 100%;
            height: 100%;
            display: flex;
            align-items: center;
        }

            .header .logo > div .fake-logo {
                opacity: .5;
                background-color: #0096FF;
                width: 40px;
                height: 40px;
                display: inline-block;
                border-radius: 50%;
            }

            .header .logo > div .logo-product {
                display: inline-block;
                width: 150px;
                margin-top: 4px;
            }

#targetFrame {
    height: calc(100% - 22px);
    padding-top: 22px;
    width: 100%;
    border: none;
    transition: all 450ms cubic-bezier(0.23, 1, 0.32, 1) 0ms;
}

.header .left-part {
    height: 100%;
    display: flex;
}

.header .right-part {
    height: 100%;
    display: flex;
}

.application-selector-block {
    display: flex;
    align-items: center;
}

.application-selector-icon {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 10px;
    cursor: pointer;
    width: 16px;
    height: 16px;
    box-sizing: content-box;
}

    .application-selector-icon .asi-row {
        display: flex;
        justify-content: space-between;
        pointer-events: none;
    }

    .application-selector-icon .asi-item {
        width: 4px;
        height: 4px;
        background-color: #999999;
        transition: background-color 450ms cubic-bezier(0.23, 1, 0.32, 1) 0ms;
    }

    .application-selector-icon:hover .asi-item {
        background-color: black;
    }

.header-menu-item {
    display: flex;
    align-items: center;
}

    .header-menu-item .header-menu-user-name {
        padding: 10px;
    }

        .header-menu-item .header-menu-user-name .header-menu-person-icon {
            margin-right: 10px;
            vertical-align: middle;
            height: 16px;
            opacity: 0.1;
        }

        .header-menu-item .header-menu-user-name .client-name {
            display: inline-block;
            font-size: 14px;
            font-weight: 100;
            width: 32px;
            height: 32px;
            background-color: #8587DC;
            color: white;
            border-radius: 50%;
            line-height: 32px;
            text-align: center;
            vertical-align: middle;
            transition: background-color 450ms cubic-bezier(0.23, 1, 0.32, 1) 0ms;
        }

        .header-menu-item .header-menu-user-name:hover .client-name {
            background-color: #7173BB;
        }

    .header-menu-item .header-menu-user-icon {
        margin-left: 10px;
        fill: rgb(224, 224, 224);
    }

.dd-container {
    position: relative;
}

    .dd-container.active {
        z-index: 3;
    }

.dd-substrate {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 0;
}

.dd-trigger {
    cursor: pointer;
    z-index: 1;
}

.dd-list {
    z-index: 1;
    display: none;
    position: absolute;
    right: 0;
    top: 0;
    background: white;
    box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 6px, rgba(0, 0, 0, 0.12) 0px 1px 4px;
}

.header-menu-list {
    right: -5px;
    top: 12px;
    width: 260px;
}

.header-menu-list-row {
    background: #ffffff;
    padding: 0 24px;
    height: 54px;
    line-height: 54px;
    cursor: pointer;
    transition: all 450ms cubic-bezier(0.23, 1, 0.32, 1) 0ms;
}

.header-menu-list-row-divider {
    height: 1px;
    width: 100%;
    background: #e4e4e4;
}

.header-menu-list-row:hover {
    background: #E5E5E5;
}

.header-menu-list-row.disabled {
    pointer-events: none;
    opacity: .4;
    user-select: none;
}

.header-menu-list-row.name-info-container {
    height: 74px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.name-info-container {
}

    .name-info-container .name-info-logo {
        height: 50px;
        width: 50px;
        line-height: 50px;
        background-color: #8587DC;
        border-radius: 50%;
        text-align: center;
        color: white;
        font-size: 18px;
        margin-right: 10px;
        flex-shrink: 0;
    }

    .name-info-container .name-info {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: flex-start;
        overflow: hidden;
    }

        .name-info-container .name-info .name-info-name {
            font-size: 15px;
            line-height: 20px;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
            max-width: 100%;
        }

        .name-info-container .name-info .name-info-email {
            font-size: 15px;
            color: #757575;
            line-height: 20px;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
            max-width: 100%;
        }

.header-menu-list-row-icon {
    width: 16px;
    height: 100%;
    display: inline-flex;
    align-items: center;
    vertical-align: top;
    margin: 0 12px 0 8px;
}

.header-menu-list-row-text {
    display: inline-block;
    font-size: 14px;
    vertical-align: top;
}

.app-s-item {
    display: inline-block;
    width: 110px;
    text-align: center;
    cursor: pointer;
    padding: 10px;
    border: 1px solid transparent;
    border-radius: 2px;
    filter: grayscale(0.75);
    transition: all 450ms cubic-bezier(0.23, 1, 0.32, 1) 0ms;
    text-decoration: none;
}

    .app-s-item:hover {
        border-color: #e4e4e4;
        filter: grayscale(0);
    }

    .app-s-item.insights {
        color: #6772e5;
    }

    .app-s-item.console {
        color: #ff7417;
    }

    .app-s-item.reports {
        color: #38bc9c;
    }

.application-selector-list {
    top: 53px;
    right: -57px;
    width: 396px;
    padding: 15px;
}

    .application-selector-list:before {
        content: '';
        width: 0;
        height: 0;
        position: absolute;
        border: 8px solid transparent;
        border-bottom-color: rgba(0, 0, 0, 0.12);
        top: -16px;
        right: 67px;
    }

    .application-selector-list:after {
        content: '';
        width: 0;
        height: 0;
        position: absolute;
        border: 7px solid transparent;
        border-bottom-color: white;
        top: -14px;
        right: 68px;
    }

.app-s-item-logo {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    padding: 10px;
    box-sizing: border-box;
    display: inline-block;
}

.insights .app-s-item-logo {
    background: #6772e5;
}

.console .app-s-item-logo {
    background: #ff7417;
}

.reports .app-s-item-logo {
    background: #38bc9c;
}

.app-s-item-logo img {
    width: 100%;
    height: 100%;
}

.app-s-item-name {
    font-size: 15px;
    margin-top: 10px;
    font-weight: 500;
}
